
Figure - Bug #116560
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】进入任务管理器，小窗应用列表图标显示异常
2023-02-27 10:36 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-27

Priority: High Due date: 2023-02-28

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202302250116

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0078.C101

Reproducibility: Every time Fixed Version: 2023-02-28

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1.设备已开机

【测试步骤】

1.进入任务管理器

2、观察页面显示

【期望结果】

2.小窗列表显示同UI设计

【实际结果】

2.小窗应用列表图标显示异常

History

#1 - 2023-02-27 19:50 - CD APP-王营

- Resolution changed from -- to FIXED

- Degrated changed from -- to Yes

- Fixed Version set to 2023-02-28

- Root cause set to 编码问题

■ Current conclusion

问题已修复，待入库

■ My analysis

小窗应用数量小于7个的情况下存在编码问题，直接将应用icon添加到父容器中，应该添加到指定显示icon的容器中

smallWindowView.getIconFl().addView()

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/184615

#2 - 2023-02-27 19:54 - CD APP-王营

- Degrated changed from Yes to No
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/184615


#3 - 2023-02-27 21:53 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

184615 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW: Launcher: Fix recent small window list bug1.Fix small window list icon error when the app count less than seven.TC-RID: 1201-0205302IssueID:

TS-R-BUG-116560Change-Id: Ibb2ab2de5c30ef556024495df211f58d7f768f20

#4 - 2023-02-27 21:54 - CD APP-王营

- Due date set to 2023-02-28

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 0 to 100

#5 - 2023-02-28 17:54 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0078.C101

2.28

验证通过

#6 - 2023-02-28 17:54 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
